Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 977528 - [abrt] evince-3.8.2-1.fc19: gs_lcms2_malloc: Process /usr/bin/evince was killed by signal 11 (SIGSEGV)
Summary: [abrt] evince-3.8.2-1.fc19: gs_lcms2_malloc: Process /usr/bin/evince was kill...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: lcms2
Version: 19
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Richard Hughes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:01f8275861104e76d33434d34a2...
: 957325 987592 1039673 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-06-24 19:46 UTC by Joachim Frieben
Modified: 2015-02-17 15:40 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-17 15:40:49 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (34.42 KB, text/plain)
2013-06-24 19:46 UTC, Joachim Frieben
no flags Details
File: cgroup (140 bytes, text/plain)
2013-06-24 19:46 UTC, Joachim Frieben
no flags Details
File: core_backtrace (2.44 KB, text/plain)
2013-06-24 19:46 UTC, Joachim Frieben
no flags Details
File: dso_list (12.40 KB, text/plain)
2013-06-24 19:47 UTC, Joachim Frieben
no flags Details
File: environ (2.90 KB, text/plain)
2013-06-24 19:47 UTC, Joachim Frieben
no flags Details
File: limits (1.29 KB, text/plain)
2013-06-24 19:47 UTC, Joachim Frieben
no flags Details
File: maps (64.92 KB, text/plain)
2013-06-24 19:47 UTC, Joachim Frieben
no flags Details
File: open_fds (1.37 KB, text/plain)
2013-06-24 19:47 UTC, Joachim Frieben
no flags Details
File: proc_pid_status (922 bytes, text/plain)
2013-06-24 19:47 UTC, Joachim Frieben
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 959351 0 urgent CLOSED Crashes when opening a PostScript file followed by another or vice versa 2021-02-22 00:41:40 UTC

Internal Links: 959351

Description Joachim Frieben 2013-06-24 19:46:48 UTC
Description of problem:
I opened a PDF file which had accidentally the file extension *.ps. After renaming the PDF file to *.pdf, evince does not crash again.

Version-Release number of selected component:
evince-3.8.2-1.fc19

Additional info:
reporter:       libreport-2.1.5
backtrace_rating: 4
cmdline:        evince output.ps
crash_function: gs_lcms2_malloc
executable:     /usr/bin/evince
kernel:         3.9.6-301.fc19.x86_64
runlevel:       N 5
uid:            1001
var_log_messages: Jun 24 21:26:57 banach abrt[5503]: Saved core dump of pid 5474 (/usr/bin/evince) to /var/tmp/abrt/ccpp-2013-06-24-21:26:56-5474 (143441920 bytes)

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 gs_lcms2_malloc at base/gsicc_lcms2.c:48
 #1 _cmsMallocZeroDefaultFn at cmserr.c:97
 #2 AllocateToneCurveStruct at cmsgamma.c:165
 #3 cmsBuildSegmentedToneCurve at cmsgamma.c:582
 #4 cmsBuildParametricToneCurve at cmsgamma.c:655
 #5 Build_sRGBGamma at cmsvirt.c:620
 #6 cmsCreate_sRGBProfileTHR at cmsvirt.c:636
 #7 GfxColorSpace::setupColorProfiles at GfxState.cc:412
 #8 Gfx::Gfx at Gfx.cc:558
 #9 Page::createGfx at Page.cc:489

Comment 1 Joachim Frieben 2013-06-24 19:46:53 UTC
Created attachment 764760 [details]
File: backtrace

Comment 2 Joachim Frieben 2013-06-24 19:46:56 UTC
Created attachment 764761 [details]
File: cgroup

Comment 3 Joachim Frieben 2013-06-24 19:46:59 UTC
Created attachment 764762 [details]
File: core_backtrace

Comment 4 Joachim Frieben 2013-06-24 19:47:02 UTC
Created attachment 764763 [details]
File: dso_list

Comment 5 Joachim Frieben 2013-06-24 19:47:05 UTC
Created attachment 764764 [details]
File: environ

Comment 6 Joachim Frieben 2013-06-24 19:47:09 UTC
Created attachment 764765 [details]
File: limits

Comment 7 Joachim Frieben 2013-06-24 19:47:12 UTC
Created attachment 764766 [details]
File: maps

Comment 8 Joachim Frieben 2013-06-24 19:47:15 UTC
Created attachment 764767 [details]
File: open_fds

Comment 9 Joachim Frieben 2013-06-24 19:47:20 UTC
Created attachment 764768 [details]
File: proc_pid_status

Comment 10 Marek Kašík 2013-06-25 09:07:40 UTC
*** Bug 957325 has been marked as a duplicate of this bug. ***

Comment 11 Marek Kašík 2013-06-25 09:09:41 UTC
This looks like a problem in lcms2 => I'm reassigning this bug to it.

Comment 12 Tim Waugh 2013-06-25 09:55:56 UTC
My theory about this is that lcms2 ends up getting used from two different objects in the same process.

poppler is one of them, libgs is the other (I'm not sure what brings it in).

When libgs is initialized it sets the memory management functions and decides what context to give them.

When poppler later tries to use a function from the non-THR API, a NULL context is given but the memory management functions from libgs are still used.

Comment 13 Tim Waugh 2013-07-23 18:26:39 UTC
*** Bug 987592 has been marked as a duplicate of this bug. ***

Comment 14 Paul Lazaga 2013-09-15 00:15:03 UTC
Attempt to open postscript file

reporter:       libreport-2.1.6
backtrace_rating: 4
cmdline:        evince /home/paul/Desktop/test.ps
crash_function: gs_lcms2_malloc
executable:     /usr/bin/evince
kernel:         3.10.11-200.fc19.x86_64
package:        evince-3.8.3-2.fc19
reason:         Process /usr/bin/evince was killed by signal 11 (SIGSEGV)
runlevel:       N 5
uid:            1000

Comment 15 Tim Waugh 2013-12-09 18:21:13 UTC
*** Bug 1039673 has been marked as a duplicate of this bug. ***

Comment 16 Tim Waugh 2014-04-11 16:24:25 UTC
What's the status of this? Is it fixed in any version of Fedora? Fixed upstream?

Comment 17 Richard Hughes 2014-04-11 16:32:32 UTC
(In reply to Tim Waugh from comment #16)
> Fixed upstream?

Yes, the lcms 2.6 work introduced a "context" that makes it possible to use lcms2 from two different libraries. I don't know the gs version required to use this new feature tho, but they were the ones to contribute the code to lcms2...

Comment 18 Fedora End Of Life 2015-01-09 18:31:25 UTC
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 19 Fedora End Of Life 2015-02-17 15:40:49 UTC
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.